<!doctype html>
<html lang="zh" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8">
    <title>采集人员信息</title>
    <link rel="stylesheet" type="text/css" href="/Content/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="/Content/css/f_cssdz.css">
    <link rel="stylesheet" type="text/css" href="/Content/css/style.css">
    <link href="/Content/css/chuan.css" rel="stylesheet"/>
    <!--材料上传样式-->
    <link href="/Content/css/big-window.css" rel="stylesheet"/>
    <link href="/Content/css/alert.css" rel="stylesheet"/>
    <script src="/Content/Scripts/jquery/jquery-1.8.2.min.js"></script>
    <script src="/Content/Scripts/jquery/jQuery.md5.js"></script>
    <link href="/Content/css/learunui-login.css" rel="stylesheet"/>
    <script src="/Content/Scripts/cookie/jquery.cookie.js"></script>
    <script src="/Content/js/jquery.min.js"></script>
    <script src="/Content/JS/main.js"></script>
    <script src="/Content/static/js/public.js"></script>
    <script src="/Content/JS/position.data.min.js"></script>
    <script src="/Content/JS/jquery.position.select.js" type="text/javascript"></script>
    <script src="/Content/JS/layer.js"></script>
    <script src="/Content/Scripts/jquery.signalR-1.1.4.js"></script>
    <script src="/Content/JS/Face.js"></script>
    <!--人脸识别函数-->
    <script src="/Content/JS/Hand.js"></script>
    <!--手写签名函数-->
    <script src="/Content/JS/Camera.js"></script>
    <!--拍照-->
    <script src="/Content/JS/Sound.js"></script>
    <!--语音-->
    <link href="/Content/css/qh.css" rel="stylesheet"/>
    <script src="/Content/gsJS/qzpz.js"></script>
    <script src="/Content/gsJS/sccl.js"></script>
    <script src="/Content/gsJS/ryXinxi.js"></script>
    <!--人证对比div-->
    <script src="/Content/static/js/sound.js"></script>
    <script src="/Content/JS/alert.js"></script>
    <!--弹出提示-->
    <script src="/Content/JS/alert.min.js"></script>
    <!--弹出提示-->
    <style>
        .sbxxtl .input_right5 {
            width: 500px;
        }

        .weui_mask {
            position: fixed;
            z-index: 1;
            width: 100%;
            height: 780px;
            top: 150px;
            left: 0;
            background: rgba(0, 0, 0, .6);
        }

        .weui_toast {
            position: fixed;
            z-index: 1000;
            width: 15em;
            min-height: 150px;
            top: 556px;
            left: 50%;
            margin-left: -7em;
            background: rgba(40, 40, 40, 0.75);
            text-align: center;
            border-radius: 5px;
            color: #FFFFFF;
            padding-top: 30px;
        }

        .weui_toast_content {
            margin: 15px 0 15px;
        }

        input:-ms-input-placeholder {
            color: #bdbdbd;
        }

        .table-rzdb > tbody > tr > td {
            padding: 6px;
            line-height: 1;
            vertical-align: middle;
        }

        /*数字键盘样式*/
        .idcardinfo-keyboard {
            width: 50%;
            float: right;
        }

        .idcardinfo-keyboard ul {
            list-style-type: none;
            width: 52%;
            margin: auto 38% auto 10%;
        }

        .idcardinfo-keyboard ul li {
            width: 23.33%;
            margin-left: 8%;
            margin-top: 8%;
            height: 0;
            padding-bottom: 17%;
            padding-top: 8%;
            background: skyblue;
            float: left;
            text-align: center;
            border-radius: 5px;
            font-size: 36px;
            font-weight: bold;
        }

        .idcardinfo-keyboard .top {
            margin-top: 0;
        }

        a {
            color: #337ab7;
        }
    </style>
    <script type="text/javascript">
        var BSID = GetQuery('bsid');
        var ryType = '';
        ryType = decodeURI(escape(GetQuery('rytype')));
        var socre=[[${rzdbsocre}]]
        $(function () {
            $('.idcardinfo-keyboard .l').click(function () {
                var phonenum = $('#sjhm').val();
                var numvalue = $(this).text();
                var phonenum = phonenum + numvalue;
                $('#sjhm').val(phonenum);
            });

            $('.idcardinfo-keyboard ul .remove').click(function () {
                var phonenum = $('#sjhm').val();
                phonenum = phonenum.substring(0, phonenum.length - 1);
                $('#sjhm').val(phonenum);
            });
            $('.idcardinfo-keyboard ul #clean').click(function () {//清空
                $('#sjhm').val("");
            });
            $("#returnSY").attr("href", "/Ytj/qygskg/Ryxinxi?bsid=" + BSID + "&qytype=1");
            // $("#returnSY").attr("onclick", "/Ytj/qygskg/Ryxinxi?bsid=" + BSID + "&qytype=0");
            //$("#returnSY").attr("href", "../Grdz/Ryxinxi?bsid=" + BSID);
            $("#bsid").val(BSID);
            $("#rytype").val(ryType);
            $("#sfzxx_rytype").html(ryType);
            $("#right_rytype").html(ryType);
            $('#opencamearbutton').hide();
            $("#writeopenButton").hide();

            if (ryType == "股东（出资人）") {
                $("#jiange").css("margin-top", "5px");
                $("#czeDiv").show();
                $("#czfs").show();
                $("#rjqxDiv").show();
                $.ajax({
                    "url": "getQrtjxinxi?bsid="+BSID +"&sjs",
                    "type": "get",
                    "dataType": "json",
                    "success": function (json) {
                        var data=json.data;
                        $("#czje").val(data.qyzczj)
                        $("#qynx").val(data.qynx)
                        $("#qysqdate").val(data.createdate)

                    },
                    "error":function(){
                        jqueryAlert({
                            'icon': '/Content/images/warning.png',
                            'content': '出现错误请联系管理员!',
                            'closeTime': 4000,
                        })
                    }
                });
            }

            function readInfo() {
                m_info = read_info();
                if (m_info) {
                    var idInfo = JSON.parse(m_info);//读取身份证
                    $("#sfzm").val(idInfo.name);//姓名
                    $("#sfzh").val(idInfo.idCardNo);//身份证
                    $("#sfzdz").val(idInfo.address);//住址
                    $("#sex").val(idInfo.sex);//性别
                    $("#tximg").val(idInfo.idImg);
                    $("#enddate").val(idInfo.userLifeEnd);
                    $("#sfztx").attr('src', "data:image/jpeg;base64," + idInfo.idImg);
                    $("#rzdb_SFZ").attr('src', "data:image/jpeg;base64," + idInfo.idImg);//认证对比-身份证
                }
            }


            readInfo();
        });

        function GetQuery(key) {
            var search = location.search.slice(1); //得到get方式提交的查询字符串
            var arr = search.split("&");
            for (var i = 0; i < arr.length; i++) {
                var ar = arr[i].split("=");
                if (ar[0] == key) {
                    if (unescape(ar[1]) == 'undefined') {
                        return "";
                    } else {
                        return unescape(ar[1]);
                    }
                }
            }
            return "";
        }

        function compileStr(code) { //对字符串进行加密
            var c = String.fromCharCode(code.charCodeAt(0) + code.length);
            for (var i = 1; i < code.length; i++) {
                c += String.fromCharCode(code.charCodeAt(i) + code.charCodeAt(i - 1));
            }
            return escape(c);
        }

        function uncompileStr(code) {       //对字符串进行解密
            code = unescape(code);
            var c = String.fromCharCode(code.charCodeAt(0) - code.length);
            for (var i = 1; i < code.length; i++) {
                c += String.fromCharCode(code.charCodeAt(i) - c.charCodeAt(i - 1));
            }
            return c;
        }

        function go_rystep(bz) {
            if (bz == "0")
                window.location.href = "Ryxinxi?bsid=" + BSID + "&qytype=1";
            if (bz == "1") {
                //身份证、基本信息 页面tpmcxx  tprzdb  tpclsc
                $("#tpmcxx").removeClass("selected");
                $("#tprzdb").removeClass("selected");
                $("#tpclsc").removeClass("selected");
                $("#tpmcxx").addClass("selected");
                checkLeave()
                $("#mcxxdiv").show();
                $("#clscdiv").hide();
                $("#rzbddiv").hide();
            }
            if (bz == "2") {
                if (checkForm("2")) {
                    //关闭摄像头
                    checkLeave()
                    //alert("跳转到拍照页面");
                    //拍照、签字 页面
                    //人证对比 这一步 加上 关闭摄像头、签字关闭判断
                    $("#returnSY").attr("href", "#");
                    $("#returnSY").attr("onclick", "rzdbReturnSY(3);");
                    //自动打开摄像头
                    if ($("#rzdb_pai").attr("src") == "/Content/images/pai.png") {
                        rzdbCamera(0);
                    }
                    $("#tpmcxx").removeClass("selected");
                    $("#tprzdb").removeClass("selected");
                    $("#tpclsc").removeClass("selected");
                    $("#tprzdb").addClass("selected");

                    $("#mcxxdiv").hide();
                    $("#clscdiv").hide();
                    $("#rzbddiv").show();
                } else {
                    //alert("表单验证失败");
                }
            }
            if (bz == "3") {
                    //扫描身份证 页面
                    changeSFZ("1");//默认扫描 身份证正面
                    $("#tpmcxx").removeClass("selected");
                    $("#tprzdb").removeClass("selected");
                    $("#tpclsc").removeClass("selected");
                    $("#tpclsc").addClass("selected");
                    $("#rzbddiv").hide();
                    $("#clscdiv").show();

            }
            if (bz == "4") {
                //确认添加人员信息，并返回到人员类型页面
                //alert("确认添加人员信息");
                submitRy();
            }
        }

        function submitRy() {
     /*       var cldivNum = $("#clscRight" + cltypeindex).children('div').length;//材料分类个数
            if(cldivNum<2){
                changeSFZ("1");
                voicezdyStr('请在扫描区域扫描身份证正反面');
                jqueryAlert({
                    'icon': '/Content/images/warning.png',
                    'content': '请在扫描区域扫描身份证正反面',
                    'closeTime': 4000,
                })
                return false;
            } else */
     if ($("#rytype").val() == ("股东（出资人）")) {
                $.ajax({
                    "url": "/Ytj/qygskg/submitCzr",
                    "data": $("#form1").serialize(),
                    "type": "post",
                    "dataType": "json",
                    "success": function (json) {
                        if (json.code == 0) {
                            window.location.href = "/Ytj/qygskg/Ryxinxi?bsid=" + BSID + "&qytype=1";
                        } else {
                            jqueryAlert({
                                'icon': '/Content/images/warning.png',
                                'content': '发生了的错误请联系工作人员',
                                'closeTime': 4000,
                            })
                        }
                    },
                    "error": function () {
                        jqueryAlert({
                            'icon': '/Content/images/warning.png',
                            'content': '发生了错误请联系工作人员',
                            'closeTime': 4000,
                        })
                    }
                });

            } else {
                $.ajax({
                    "url": "/Ytj/qygskg/submitRy",
                    "data": $("#form1").serialize(),
                    "type": "post",
                    "dataType": "json",
                    "success": function (json) {
                        if (json.code == 0) {
                            window.location.href = "/Ytj/qygskg/Ryxinxi?bsid=" + BSID + "&qytype=1";

                        } else {
                            jqueryAlert({
                                'icon': '/Content/images/warning.png',
                                'content': '发生了错误请联系工作人员',
                                'closeTime': 4000,
                            })
                        }
                    },
                    "error": function () {
                        jqueryAlert({
                            'icon': '/Content/images/warning.png',
                            'content': '发生了错误请联系工作人员',
                            'closeTime': 4000,
                        })
                    }
                });
            }
        }


        function checkForm(bz) {
            var reg = /^[0-9]+(\.[0-9]+)?$/;
            if (bz == "2") {
                var regphone = /^(13[0-9]|14[5-9]|15[012356789]|166|17[0-8]|18[0-9]|19[8-9])[0-9]{8}$/;
                var phonenum = $('#sjhm').val();
                if (phonenum === '') {
                    jqueryAlert({
                        'icon': '/Content/images/warning.png',
                        'content': '手机号码不能为空',
                        'closeTime': 4000,
                    });
                    return false;
                } else if (regphone.test(phonenum) === false) {
                    jqueryAlert({
                        'icon': '/Content/images/warning.png',
                        'content': '请填写正确的手机号码',
                        'closeTime': 4000,
                    });
                    return false;
                }
                if (ryType == "股东" || ryType == "股东（出资人）") {
                    var zjeValue = $("#cze").val();
                    if (zjeValue == "") {
                        jqueryAlert({
                            'icon': '/Content/images/warning.png',
                            'content': '请填写出资额',
                            'closeTime': 4000,
                        });
                        return false;
                    }
                    if (!reg.test(zjeValue)) {
                        jqueryAlert({
                            'icon': '/Content/images/warning.png',
                            'content': '出资额只能输入数字',
                            'closeTime': 4000,
                        });
                        return false;
                    }
                    if ($("#nian").val()==""||$("#yue").val()==""||$("#ri").val()=="") {
                        jqueryAlert({
                            'icon': '/Content/images/warning.png',
                            'content': '请填写认缴截止日期',
                            'closeTime': 4000,
                        });
                        return false;
                    }else  if ($("#nian").val()==""||$("#yue").val()==""||$("#ri").val()=="") {
                        jqueryAlert({
                            'icon': '/Content/images/warning.png',
                            'content': '请填写认缴截止日期',
                            'closeTime': 4000,
                        });
                        return false;
                    }else if($("#nian").val().length!=4){
                        jqueryAlert({
                            'icon': '/Content/images/warning.png',
                            'content': '认缴截至日期的年书写错误',
                            'closeTime': 4000,
                        });
                        return false;
                    }
                    if(parseInt($("#yue").val())>12){
                        jqueryAlert({
                            'icon': '/Content/images/warning.png',
                            'content': '认缴截至日期的月书写错误',
                            'closeTime': 4000,
                        });
                        return false;
                    }if(parseInt($("#ri").val())>31){
                        jqueryAlert({
                            'icon': '/Content/images/warning.png',
                            'content': '认缴截至日期的日书写错误',
                            'closeTime': 4000,
                        });
                        return false;
                    }
                    if(parseInt($("#nian").val())-parseInt($("#sfzh").val().substring(6,10))>80){

                        jqueryAlert({
                            'icon': '/Content/images/warning.png',
                            'content': '认缴截至日期不能大于出资人80周岁',
                            'closeTime': 4000,
                        });
                        return false;
                    }
                    if(parseInt($("#nian").val())-parseInt($("#qysqdate").val().substring(0,5))>=parseInt($("#qynx").val())){
                        jqueryAlert({
                            'icon': '/Content/images/warning.png',
                            'content': '认缴截至日期不能大于等于企业年限',
                            'closeTime': 4000,
                        });
                        return false;
                    }


                    if (zjeValue == "0") {
                        jqueryAlert({
                            'icon': '/Content/images/warning.png',
                            'content': '出资额不能为0',
                            'closeTime': 4000,
                        });
                        return false;
                    }

                }
            }
            return true;
        }

        //获取输入法
        function imeOpen(eleID) {
            var info = document.getElementById(eleID).value;
            var test = {'info': info, 'ispassword': 0};
            var data = JSON.stringify(test);
            send_command(
                "imewrite",
                data,
                function (receivedData) {
                    var data = JSON.parse(receivedData);
                    if (eleID == "dzyx") {
                        $("#dzyx").val("");
                    }
                    document.getElementById(eleID).value = data.msg;
                }
            );
        }

        //数字输入法
        function imeNum(eleID) {
            var info = document.getElementById(eleID).value;
            //info 数字字符串
            //imetype 1是密码，2是身份证，3是数字
            //length 是输入的长度
            var param = {};
            param.info = info;
            param.imetype = 3;
            param.length = 16;
            //console.log(param);
            var data = JSON.stringify(param);
            send_command(
                "ime_number",
                data,
                function (receivedData) {
                    var data = JSON.parse(receivedData);
                    document.getElementById(eleID).value = data.msg;
                }
            );
        }

    </script>
</head>
<body>
<header>
    <h2 class="title fl tit-con"th:text="${city}+'行政审批局企业业务自助终端'"></h2>
    <a id="returnSY" class="fr fan">返回人员列表</a>
</header>
<div class="content">
    <form id="form1" name="form1">
        <input type="hidden" id="rytype" name="rentype"/><!--@*人员类型*@-->
        <input type="hidden" id="bsid" name="bsid"/><!--@*办事id*@-->
        <div class="bg_white">
            <div class="step_section" style="width: 1600px;">
                <div class="step_item selected" style="width: 189px;" id="tpmcxx">
                    <div class="step_item_icon_arrow"></div>
                    人员基本信息
                </div>
                <div class="step_item" style="width: 189px;" id="tprzdb">
                    <div class="step_item_icon_arrow"></div>
                    认证比对
                </div>
                <div class="step_item" style="width: 189px;" id="tpclsc">
                    <div class="step_item_icon_arrow"></div>
                    扫描身份证
                </div>
            </div>

            <!--                @*身份证、基本信息div*@-->
            <div class="content_960_b" style="border-top: none;" id="mcxxdiv">
                <div class="con_900">
                    <div class="sbxxtl">
                        <div class="con_840" style="margin-top: 60px;">
                            <div class="sbxxtl_title mb20">核对并填写<span style="color:red;" id="sfzxx_rytype"></span>身份证信息
                            </div>

                            <div class="idcardinfo-keyboard " style="float: right; width: 40%">
                                <ul>
                                    <a href="#">
                                        <li class="l">7</li>
                                    </a>
                                    <a href="#">
                                        <li class="l">8</li>
                                    </a>
                                    <a href="#">
                                        <li class="l">9</li>
                                    </a>
                                    <a href="#">
                                        <li class="l">4</li>
                                    </a>
                                    <a href="#">
                                        <li class="l">5</li>
                                    </a>
                                    <a href="#">
                                        <li class="l">6</li>
                                    </a>
                                    <a href="#">
                                        <li class="l">1</li>
                                    </a>
                                    <a href="#">
                                        <li class="l">2</li>
                                    </a>
                                    <a href="#">
                                        <li class="l">3</li>
                                    </a>
                                    <a href="#">
                                        <li class="l">0</li>
                                    </a>
                                    <a href="#">
                                        <li id="clean" class="remove1">清空</li>
                                    </a>
                                    <a href="#">
                                        <li class="remove">删除</li>
                                    </a>
                                </ul>
                            </div>
                            <div class="user_pic" style="position: absolute; top: 370px; left: 880px;">
                                <img src="" class="btn" id="sfztx" style="width: 140px; height: 190px; padding: 0;"
                                     data-target="#avatar-modal" data-toggle="modal"/>
                            </div>
                            <div class="form_item" style="margin-top: 50px;">
                                <label class="input_label">姓&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;名：</label>
                                <span class="input_right">
                                        <input type="text" name="renname" id="sfzm" readonly="readonly" class="txt"
                                               style="width: 410px;" value="冯瑞">
                                        <input type="hidden" name="renphoto" id="tximg"><!--@*头像*@-->
                                        <input type="hidden" name="rencarddate" id="enddate"/><!--@*有效期*@-->
                                        <input type="hidden" name="rencardjg" id="fzjg"/><!--@*发证机关*@-->
                                        <input type="hidden" name="rensex" id="sex"/><!--@*性别*@-->
                                        <input type="hidden" id="czje"/><!--@*出资额*@-->
                                        <input type="hidden" id="qynx"/><!--@*企业年限*@-->
                                        <input type="hidden" id="qysqdate"/><!--@*申请年*@-->
                                    </span>
                            </div>
                            <div class="form_item">
                                <label class="input_label">身份证号：</label>
                                <span class="input_right">
                                        <input type="text" name="rencardno" id="sfzh" readonly="readonly" class="txt"
                                               style="width: 410px;" value="130682199010290329">
                                    </span>
                            </div>

                            <div class="form_item">
                                <label class="input_label"><font color="red">*</font>手机号码：</label>
                                <span class="input_right">
                                        <input type="hidden" name="" id="plvoicestr" value="请输入手机号码"
                                               placeholder="要播报的字符串">
                                        <input type="text" name="renmoblie" id="sjhm" class="txt" style="width: 410px;">
                                    </span>
                            </div>
                            <div class="form_item">
                                <label class="input_label">家庭住址：</label>
                                <span class="input_right">
                                        <input type="text" name="renaddress" id="sfzdz" readonly="readonly" class="txt"
                                               style="width: 565px;" value="家庭住址">
                                    </span>
                            </div>
                            <div class="form_item">
                                <label class="input_label">固定电话：</label>
                                <span class="input_right">
                                        <input type="text" name="renphone" id="gddh" onclick="imeNum('gddh')"
                                               class="txt"
                                               style="width: 565px;">
                                    </span>
                            </div>
                            <div class="form_item">
                                <label class="input_label">电子邮箱：</label>
                                <span class="input_right">
                                        <input type="text" name="renemail" id="dzyx" onclick="imeOpen('dzyx')"
                                               class="txt"
                                               style="width: 565px;">
                                    </span>
                            </div>
                            <div class="form_item" id="czfs" style="display:none">
                                <label class="input_label"><font color="red">*</font>出资方式：</label>
                                <span class="input_right">
                                        <select type="text" name="czfs" id="czxs"  class="txt"
                                                style="width: 565px;">
                                            <option value="货币">货币</option>
                                           <!-- <option value="实物">实物</option>
                                            <option value="知识产权">知识产权</option>
                                            <option value="土地使用权">土地使用权</option>
                                            <option value="其他">其他</option>
                                            <option value="人力资本">人力资本</option>
                                            <option value="股权">股权</option>
                                            <option value="债权">债权</option>
                                            <option value="商标使用权">商标使用权</option>
                                            <option value="其他财产">其他财产</option>-->

                                        </select>
                                    </span>
                            </div>
                            <div class="form_item" id="czeDiv" style="display:none">
                                <label class="input_label"><font color="red">*</font>出资额（万元）：</label>
                                <span class="input_right">
                                        <input type="text" name="cze" id="cze" onclick="imeNum('cze')" class="txt"
                                               style="width: 565px;">
                                    </span>
                            </div>
                            <div class="form_item" id="rjqxDiv" style="display:none">
                                <label class="input_label"><font color="red">*</font>认缴截至日期：</label>
                                <span class="">
                                  <input type="text" name="nian" id="nian" onclick="imeNum('nian')" placeholder="2019"  class="txt"
                                         style="width: 100px;">年
                                    </span><span class="">
                                  <input type="text" name="yue" id="yue" onclick="imeNum('yue')" placeholder="01" class="txt"
                                         style="width: 100px;">月
                                    </span><span class="">
                                  <input type="text" name="ri" id="ri" onclick="imeNum('ri')" placeholder="01"  class="txt"
                                         style="width: 100px;">日
                                    </span>
                                <a style="margin-left: 20px;">
                                    </a>
                            </div>

                            <div class="solid_line_top mb30 mt30" id="jiange" style="margin-top: 5px;"></div>
                            <div class="form_item" style="width: 100%;">
                                <label class="input_label" style="width: 40%">&nbsp;</label>
                                <button type="button" class="btn-fan btn fl" onclick="go_rystep('0')"
                                        style="width: 15%; border: 0;">上一步
                                </button>
                                <button class="btn_b btn fl" type="button" id="next" style="width: 15%; border: 0;"
                                        onclick="go_rystep('2')">下一步
                                </button>
                            </div>
                        </div>
                        <br>
                    </div>
                </div>
            </div>

            <!-- @*人脸拍照、签字div*@-->
            <div style="width: 1600px; margin: 0 auto; margin-top: 20px;display:none;" id="rzbddiv">
                <input type="hidden" name="address" id="address"/>
                <div class="fl col-lg-4" style="background: #a2dfff; padding-bottom: 35px;">
                    <p class="pai_p">认证比对</p>
                    <img id="rzdb_SFZ" style="width: 140px; height: 196px; margin-left: 61px;"
                         src="/Content/images/shua.png">
                    <p class="pai_p">拍照照片</p>
                    <img id="rzdb_pai" width="381px" height="240px" style="margin-left: 61px;"
                         src="/Content/images/pai.png">
                </div>
                <div class="fl col-lg-4" style="background: #ffefcc;">
                    <p class="pai_p">拍照</p>
                    <img style="width: 100%; margin: 0 auto; height: 520px; padding: 10px 0;"
                         src="/Content/images/pai.png">
                    <p class="centerpai">
                        <input type="button" id="opencamearbutton" value="打开摄像头" onclick="rzdbCamera(0)"
                               class="btn-chong" style="width: 120px; height: 50px;"/>
                    </p>
                </div>
                <div class="fl col-lg-4" style="background: #a2dfff; padding-left: 0px; padding-right: 0px;">
                    <p class="pai_p" style="text-align:center;"><span id="right_rytype"></span>签字</p>
                    <img id="sxqianming" height="200px" style="width: 100%; margin: 0 auto;"
                         src="/Content/images/qian.png">
                    <p class="center ">
                        <input type="button" id="writeopenButton" value="打开签字板" onclick="open_PenSigner()"
                               class="btn-chong" style="width: 120px; height: 50px;"/>
                        <input type="button" id="writeclearButton" value="重签" class="btn-chong"
                               style="width: 120px; height: 50px; display: none;" onclick="Clean_PenSigner()"/>
                        <input type="button" id="writeokButton" value="确认" class="btn-chong"
                               style="width: 120px; height: 50px; display: none;" onclick="Close_PenSigner1()"/>
                    </p>
                </div>
                <input type="hidden" name="renphoto" id="paizhao"/>
                <input type="hidden" name="renqianming" id="QianMing"/>
                <input type="hidden" name="qmHid" id="qmHid"/>
                <input type="hidden" name="rzduibiScore" id="rzduibiScore" value="0"/>
                <div class="col-md-12 col-lg-12">
                    <div class="form_item">
                        <label class="input_label fl" style="width: 40%">&nbsp;</label>
                        <button type="button" class="btn-fan btn  fl" onclick="go_rystep('1')"
                                style="width: 15%; border: 0;">上一步
                        </button>
                        <button id="mc_nextxq1" class="btn_b btn fl" type="button" style="width: 15%; border: 0;"
                                onclick="duibi('3')">下一步
                        </button>
                    </div>
                </div>
            </div>

            <!-- @*材料上传div*@-->
            <div style="width: 1600px; margin: 0 auto; display: none;" id="clscdiv">
                <div style="padding-top: 30px;">
                    <div class="mainContainer fl col-lg-6">
                        <img style="width: 100%; margin: 0 auto; height: 550px;" src="/Content/images/sao.png"/>
                        <p class="tc" style="margin-bottom: 10px;height:50px;">
                            <input type="button" id="clscPaibutton" value="拍照" class="btn-chong"
                                   style="margin-left: 0; height: 50px; display: none;"/>
                        </p>
                    </div>
                    <div class="mainContainer col-lg-6">
                        <div class="navContent" id="cltype">
                            <a id="sfz_a1" class="book" href="#" onclick="changeSFZ('1')">身份证正反面</a>
                            <!--                                                            <a id="sfz_a2" class="box" href="#" onclick="changeSFZ('2')">身份证反面</a>-->
                        </div>
                        <div class="container1" id="clContainer">
                            <div id="sfz1" class="secondInfo" style="display: block;">
                                <p>已有【<span id="clscRight1_clnum">0</span>】个扫描件</p>
                                <input type="hidden" id="hid_sfzz" name="czrsfz"/>
                                <input type="hidden" id="hid_sfzf" name="czrsfz1"/>
                                <div class="bannerBox" id="clscRight1"></div>
                            </div>
                            <!--     <div id="sfz2" class="secondInfo" style="display: none;">
                                     <p>已有【<span id="clscRight2_clnum">0</span>】个扫描件</p>

                                     <div class="bannerBox" id="clscRight2"></div>
                                 </div>-->
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-lg-12">
                    <div class="form_item" style="margin-bottom: 30px;">
                        <label class="input_label fl" style="width: 40%">&nbsp;</label>
                        <button type="button" class="btn btn-fan fl" onclick="go_rystep('2');">上一步</button>
                        <button id="mc_nextxq2" class="btn_b btn fl" type="button" onclick="cailiaosave('4');">确认
                        </button>
                    </div>
                </div>
            </div>

        </div>
    </form>
</div>

<div style="position: absolute; right: 5%; bottom: 30px;">
    <span class="fl dao" id="agree_btn">本页将在180秒后返回首页</span>
</div>

<div id="toast" style=" display: none; ">
    <div class="weui_mask"></div>
    <div class="weui_toast"><img style="width:40px;height:40px;" src="/Content/images/loading.gif"/>
        <p class="weui_toast_content">请等待</p></div>
</div>
<script>
    var secs = 1800;
    for (var i = 0; i <= secs; i++) {
        window.setTimeout("update(" + i + ")", i * 1000);
    }

    function update(num) {
        if (num == secs) {
            // 超时返回到人员页面
            checkLeave();//关闭摄像头
            location.href = "/Ytj/qygskg/";
        } else {
            var printnr = secs - num;
            var testdiv = document.getElementById("agree_btn");
            testdiv.innerHTML = "本页将在" + printnr + "秒后返回首页";
        }
    }

    function showtime(t) {
        document.myform.phone.disabled = true;
        for (i = 0; i <= t; i++) {
            window.setTimeout("update_p(" + i + "," + t + ")", i * 1000);
        }

    }

    function goBack() {
        history.go(-1);
    }
</script>
</body>
</html>
